Package org.apache.felix.http.base.internal.util

# Enum InternalIdFactory

java.lang.Object
java.lang.Enum<InternalIdFactory>
org.apache.felix.http.base.internal.util.InternalIdFactory

All Implemented Interfaces:
  `Serializable`, `Comparable<InternalIdFactory>`

public enum InternalIdFactory extends Enum<InternalIdFactory>
Provides service ids for services not provided through the service registry.

All provided ids are unique negative `long`s.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INSTANCE`

## Method Summary

Modifier and Type
Method
Description
`long`
`next()`
`static InternalIdFactory`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static InternalIdFactory[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INSTANCE

public static final InternalIdFactory INSTANCE

## Method Details

### values

public static InternalIdFactory[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static InternalIdFactory valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### next

public long next()